﻿@model PagedList.IPagedList<ContosoUniversity.Models.User>

@using PagedList.Mvc;
<link href="~/Content/PagedList.css" rel="stylesheet" type="text/css" />

@{
    ViewBag.Title = "Users";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}

<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>

<h2 class="maintitle"><i class="fa-solid fa-users" style="color: #299be4;"></i> Quản lý tài khoản</h2>

<p>
    <a href="@Url.Action("Create")">
        <div class="btn btn-default" style="float: right">Tạo tài khoản</div>
    </a>
</p>

@using (Html.BeginForm("Index", "Student", FormMethod.Get))
{
    @*<p>
            Find by name: @Html.TextBox("SearchString", ViewBag.CurrentFilter as string)
            <input type="submit" value="Search" />
        </p>*@

}
<div class="table-responsive">
    <table class="table table_danhsach">
        <tr>
            <th>
                @*@Html.ActionLink("Last Name", "Index", new { sortOrder = ViewBag.NameSortParm, currentFilter = ViewBag.CurrentFilter })*@
                STT
            </th>
            <th>
                Tài khoản
            </th>

            <th>
                @*@Html.ActionLink("Enrollment Date", "Index", new { sortOrder = ViewBag.DateSortParm, currentFilter = ViewBag.CurrentFilter })*@
                Mật khẩu
            </th>

            @*<th>
                    Email
                </th>

                <th>
                    Chức vụ
                </th>*@

            <th>
                Thao tác
            </th>
        </tr>


        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelitem => item.UserID)
                </td>

                <td>
                    @Html.DisplayFor(modelitem => item.UserName)
                </td>

                <td>
                    @Html.DisplayFor(modelitem => item.HashPassword)
                </td>

                @*<td>
                        @Html.DisplayFor(modelitem => item.Email)
                    </td>

                    <td>
                        @Html.DisplayFor(modelitem => item.Chucvu)
                    </td>*@

                <td>
                    @Html.ActionLink(" ", "Edit", new { id = item.UserID }, new { @class = "fa-solid fa-pencil", @style = "color: #FFC107" })

                    @Html.ActionLink(" ", "Delete", new { id = item.UserID }, new { @class = "fa fa-trash", @style = "color: #E34724" })
                </td>
            </tr>
        }

    </table>
</div>
<br />

@*Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount*@

@Html.PagedListPager(Model, page => Url.Action("Index",
    new { page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter }))